$(function() {

	$('#btnInput').click(function() {
		$('#type').val('input');
		submitForm();
	});

	$('#btnConfirm').click(function() {
		$('#type').val('confirm');
		submitForm();
	});

	$('#btnComplete').click(function() {

		$('#btnComplete').attr('disabled', true);

		$('#type').val('complete');
		submitForm();
	});

	$('#btnLogin').click(function() {
		$('#type').val('login');
		submitForm();
	});

	$('#debit_currency').change(function() {
		getBalance();
	});

	$('#btnBalance').click(function() {
		getBalance();
	});

	$('#btnBack').click(function() {
		$('#type').val('input');
		submitForm();
	});


	getBalance();
});

function getBalance() {

	$('#balanceCurrency').text('Checking...');

	// ポストアクション
	postAction('../api/GetWalletBalance', {'currency':$('#debit_currency').val(), 'user_account':$('#from_account').val()})
	.done(function(data) {
		$('#balanceCurrency').text($('#debit_currency').val() + ' ' + data.balance.toString());
	})
	.fail(function(data) {
		console.log(data);
	});
}

$("#password").keypress(function(event) {
		   if (event.keyCode === 13) {
			   $("#btnLogin").click();
		   }
});
$("#user_name").keypress(function(event) {
		   if (event.keyCode === 13) {
			   $("#btnLogin").click();
		   }
});
